SignatureAttachmentConstraint
Keywords: net.corda.core.contracts.SignatureAttachmentConstraint class
Date: 2023-09-18

net.corda.core.contracts

## Class SignatureAttachmentConstraint

- net.corda.core.contracts.SignatureAttachmentConstraint

- All Implemented Interfaces:
    AttachmentConstraint

      public class SignatureAttachmentConstraint
      implements AttachmentConstraint

  An `interface AttachmentConstraint` that verifies that the attachment has signers that fulfil the provided PublicKey. See: Signature Constraints

  See Also:
    `interface AttachmentConstraint`, PublicKey, Signature Constraints

- - ### Field Detail

    - #### Companion

          public static net.corda.core.contracts.SignatureAttachmentConstraint.Companion Companion

  - ### Constructor Detail

    - #### SignatureAttachmentConstraint

          public SignatureAttachmentConstraint(@NotNull
                                               java.security.PublicKey key)

      An `interface AttachmentConstraint` that verifies that the attachment has signers that fulfil the provided PublicKey. See: Signature Constraints

      Parameters:
        `key` - A PublicKey that must be fulfilled by the owning keys of the attachment's signing parties.
      See Also:
        `interface AttachmentConstraint`, PublicKey, Signature Constraints

  - ### Method Detail

    - #### isSatisfiedBy

          public boolean isSatisfiedBy(@NotNull
                                       Attachment attachment)

      Returns whether the given contract attachment can be used with the `interface ContractState` associated with this constraint object.

      See Also:
        `interface ContractState`

    - #### getKey

          @NotNull
          public java.security.PublicKey getKey()

      A

      PublicKey that must be fulfilled by the owning keys of the attachment's signing parties.

      See Also:
        PublicKey

    - #### component1

          @NotNull
          public java.security.PublicKey component1()

      A

      PublicKey that must be fulfilled by the owning keys of the attachment's signing parties.

      See Also:
        PublicKey

    - #### copy

          @NotNull
          public SignatureAttachmentConstraint copy(@NotNull
                                                             java.security.PublicKey key)

      An `interface AttachmentConstraint` that verifies that the attachment has signers that fulfil the provided PublicKey. See: Signature Constraints

      See Also:
        `interface AttachmentConstraint`, PublicKey, Signature Constraints

    - #### toString

          @NotNull
          public java.lang.String toString()

      An `interface AttachmentConstraint` that verifies that the attachment has signers that fulfil the provided PublicKey. See: Signature Constraints

      See Also:
        `interface AttachmentConstraint`, PublicKey, Signature Constraints

    - #### hashCode

          public int hashCode()

      An `interface AttachmentConstraint` that verifies that the attachment has signers that fulfil the provided PublicKey. See: Signature Constraints

      See Also:
        `interface AttachmentConstraint`, PublicKey, Signature Constraints

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      An `interface AttachmentConstraint` that verifies that the attachment has signers that fulfil the provided PublicKey. See: Signature Constraints

      See Also:
        `interface AttachmentConstraint`, PublicKey, Signature Constraints